%define name fonts-type1-mathml-cm
%define version 1.0
%define release 1mdk
%define fontdir /usr/X11R6/lib/X11/fonts/MathML/Type1/cm

Name:          %{name}
Version:       %{version}
Release:       %{release}
License:       freely distributable
Summary:       PostScript Type1 MathML fonts (Computer Modern)
Group:         System/Fonts/Type1
Source0:       ftp://ftp.dante.de/pub/tex/fonts/cm/ps-type1/bluesky/cmps-unix.tar.bz2
URL:           http://www.ams.org/tex/type1-fonts.html
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}
Requires:      XFree86-xfs, chkfontpath >= 1.4.1, font-tools >= 0.1-5mdk
Requires:      fontconfig
BuildRequires: font-tools >= 0.1-5mdk
BuildRequires: fontconfig
Obsoletes:     fonts-mathml-cm-type1
Provides:      fonts-mathml-cm-type1
BuildArch:     noarch
PreReq:        /usr/sbin/chkfontpath

%description
This package contains a subset of PostScript fonts of the Knuth's Computer
Modern family, to be used with MathML applications.

%prep
%setup -n cmpsfont

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{fontdir}
(cd pfb
install -m 644 cmr10.pfb cmmi10.pfb cmex10.pfb cmsy10.pfb \
	$RPM_BUILD_ROOT%{fontdir}/
)

(cd afm
install -m 644 cmr10.afm cmmi10.afm cmex10.afm cmsy10.afm \
	$RPM_BUILD_ROOT%{fontdir}/
)

cat <<EOF > $RPM_BUILD_ROOT%{fontdir}/fonts.dir
4
cmex10.pfb -bsr-cmex10-medium-r-normal--0-0-0-0-p-0-adobe-fontspecific
cmmi10.pfb -bsr-cmmi10-medium-r-normal--0-0-0-0-p-0-adobe-fontspecific
cmr10.pfb -bsr-cmr10-medium-r-normal--0-0-0-0-p-0-adobe-fontspecific
cmsy10.pfb -bsr-cmsy10-medium-r-normal--0-0-0-0-p-0-adobe-fontspecific
EOF

cat <<EOF > $RPM_BUILD_ROOT%{fontdir}/XftCache
"cmex10.pfb" 0 "Computer Modern:style=Regular:slant=0:weight=100:encoding=iso10646-1,iso8859-1,glyphs-fontspecific:core=False:index=0:outline=True:scalable=True"
"cmmi10.pfb" 0 "Computer Modern:style=Regular:slant=100:weight=100:encoding=iso10646-1,iso8859-1,glyphs-fontspecific:core=False:index=0:outline=True:scalable=True"
"cmr10.pfb" 0 "Computer Modern:style=Regular:slant=0:weight=100:encoding=iso10646-1,iso8859-1,glyphs-fontspecific:core=False:index=0:outline=True:scalable=True"
"cmsy10.pfb" 0 "Computer Modern:style=Regular:slant=100:weight=100:encoding=iso10646-1,iso8859-1,glyphs-fontspecific:core=False:index=0:outline=True:scalable=True"
EOF

(cd $RPM_BUILD_ROOT%{fontdir}
fc-cache . || touch fonts.cache-1
)

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 133
%{_sbindir}/chkfontpath -q -a %{fontdir}
%{_bindir}/fc-cache %{fontdir}

%postun
umask 133
if [ "$1" = "0" ]; then
  %{_sbindir}/chkfontpath -q -r %{fontdir}
  %{_bindir}/fc-cache %{fontdir}
fi

%files
%defattr (-,root,root)
%dir %{fontdir}
%doc README
%(attr,644,root,root) %{fontdir}/*.pfb
%(attr,644,root,root) %{fontdir}/*.afm
%(attr,644,root,root) %{fontdir}/XftCache
%(attr,644,root,root) %{fontdir}/fonts.dir
%(attr,644,root,root) %{fontdir}/fonts.cache-1

%changelog
* Fri Feb 21 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0-1mdk
- Build fontconfig compliant.
- Package renamed to fonts-type1-...

* Sun Sep 08 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0-2mdk
- added missed .afm files.

* Mon Jul 29 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0-1mdk
- initial release.
